> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List External Transfers

> List External Card Transfers




## OpenAPI

````yaml openapi-v1.json get /external_cards/transfers
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /external_cards/transfers:
    get:
      tags:
        - External Cards
      summary: List External Transfers
      description: |
        List External Card Transfers
      operationId: listExternalCardTransfers
      parameters:
        - explode: false
          in: query
          name: type
          schema:
            items:
              $ref: '#/components/schemas/transfer_type'
            type: array
          style: form
        - explode: false
          in: query
          name: amount
          schema:
            items:
              type: integer
            type: array
          style: form
        - explode: false
          in: query
          name: three_ds_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - explode: false
          in: query
          name: originating_account_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - explode: false
          in: query
          name: account_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - in: query
          name: from_creation_time
          schema:
            format: date-time
            type: string
        - explode: false
          in: query
          name: status
          schema:
            items:
              $ref: '#/components/schemas/transfer_status'
            type: array
          style: form
        - explode: false
          in: query
          name: originating_customer_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - in: query
          name: from_last_updated_time
          schema:
            format: date-time
            type: string
        - in: query
          name: from_amount
          schema:
            type: integer
        - in: query
          name: to_last_updated_time
          schema:
            format: date-time
            type: string
        - in: query
          name: to_amount
          schema:
            type: integer
        - explode: false
          in: query
          name: tenant
          schema:
            items:
              $ref: '#/components/schemas/tenant_id'
            type: array
          style: form
        - $ref: '#/components/parameters/page_token'
        - explode: false
          in: query
          name: external_card_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - explode: false
          in: query
          name: transaction_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - $ref: '#/components/parameters/limit'
        - explode: false
          in: query
          name: original_transfer_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - in: query
          name: to_creation_time
          schema:
            format: date-time
            type: string
        - in: query
          name: payment_account_reference
          schema:
            type: string
        - explode: false
          in: query
          name: customer_id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - explode: false
          in: query
          name: id
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transfer_list_response'
          description: External Card Transfer list
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    transfer_type:
      description: >
        Type of transfer operation.


        Type | Description

        --- | ---

        PUSH | Funds pushed to an External Card from an Account

        PULL | Funds pulled from an External Card to an Account

        PULL_REVERSAL | Funds pushed back to an External Card from an Account

        APPLE_PAY_PULL | Funds pulled from an Apple Pay card to an Account

        APPLE_PAY_PULL_REVERSAL | Funds returned to Apple Pay card from original
        recipient Account

        GOOGLE_PAY_PULL | Pull funds from a Google Pay card to an Account

        GOOGLE_PAY_PULL_REVERSAL | Funds returned to Google Pay card from
        original recipient Account
      enum:
        - APPLE_PAY_PULL
        - APPLE_PAY_PULL_REVERSAL
        - GOOGLE_PAY_PULL
        - GOOGLE_PAY_PULL_REVERSAL
        - PULL
        - PULL_REVERSAL
        - PUSH
      example: PULL
      type: string
    transfer_status:
      description: The status of the transfer
      enum:
        - CANCELED
        - DECLINED
        - PENDING
        - SUCCEEDED
        - UNKNOWN
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    transfer_list_response:
      allOf:
        - properties:
            external_transfers:
              description: Array of External transfer
              items:
                $ref: '#/components/schemas/transfer_response'
              type: array
          required:
            - external_transfers
          type: object
        - $ref: '#/components/schemas/paginated_response'
    transfer_response:
      discriminator:
        mapping:
          APPLE_PAY_PULL:
            $ref: '#/components/schemas/transfer_response_token'
          APPLE_PAY_PULL_REVERSAL:
            $ref: '#/components/schemas/transfer_response_token'
          GOOGLE_PAY_PULL:
            $ref: '#/components/schemas/transfer_response_token'
          GOOGLE_PAY_PULL_REVERSAL:
            $ref: '#/components/schemas/transfer_response_token'
          PULL:
            $ref: '#/components/schemas/transfer_response_pull'
          PULL_REVERSAL:
            $ref: '#/components/schemas/transfer_response_pull'
          PUSH:
            $ref: '#/components/schemas/transfer_response_push'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/transfer_response_token'
        - $ref: '#/components/schemas/transfer_response_pull'
        - $ref: '#/components/schemas/transfer_response_push'
      type: object
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    transfer_response_token:
      allOf:
        - properties:
            card_details:
              $ref: '#/components/schemas/external_card_details'
            type:
              $ref: '#/components/schemas/transfer_type'
          required:
            - card_details
            - type
          type: object
        - $ref: '#/components/schemas/transfer_response_base'
      title: Token Response
      type: object
    transfer_response_pull:
      allOf:
        - properties:
            external_card_id:
              $ref: '#/components/schemas/external_card_id'
            three_ds_id:
              $ref: '#/components/schemas/transfer_three_ds_id'
            type:
              $ref: '#/components/schemas/transfer_type'
          required:
            - external_card_id
            - type
          type: object
        - $ref: '#/components/schemas/transfer_response_base'
      description: Pull funds from an External Card
      title: Pull Response
      type: object
    transfer_response_push:
      allOf:
        - $ref: '#/components/schemas/transfer_response_base'
        - properties:
            external_card_id:
              $ref: '#/components/schemas/external_card_id'
            originating_customer_id:
              $ref: '#/components/schemas/transfer_originating_customer_id'
            type:
              $ref: '#/components/schemas/transfer_type'
          required:
            - external_card_id
            - type
          type: object
      description: Push funds to an External Card
      title: Push Response
      type: object
    external_card_details:
      allOf:
        - $ref: '#/components/schemas/external_card_verification_details'
        - properties:
            bin:
              description: Bank Identification Number
              type: string
            issuer:
              description: Name of the issuing financial institution
              type: string
            last_four:
              description: The last four digits of the card PAN
              example: '1234'
              type: string
            payment_account_reference:
              $ref: '#/components/schemas/payment_account_reference'
          type: object
    transfer_response_base:
      properties:
        account_id:
          description: >-
            The ID of the Synctera account into which or from which funds were
            moved
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        amount:
          description: Amount of the transfer in cents
          type: integer
        creation_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        currency:
          $ref: '#/components/schemas/currency_code'
        customer_id:
          $ref: '#/components/schemas/transfer_customer_id'
        id:
          description: The ID of the transfer
          type: string
        last_updated_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        merchant:
          $ref: '#/components/schemas/merchant'
        network_decline_details:
          description: >-
            If available, a human readable string indicating why a transfer was
            declined downstream of our system
          type: string
        reason:
          description: >-
            The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD,
            NETWORK_DECLINED
          type: string
        status:
          $ref: '#/components/schemas/transfer_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_id:
          description: The transaction ID
          format: uuid
          type: string
      required:
        - account_id
        - amount
        - creation_time
        - currency
        - customer_id
        - id
        - last_updated_time
        - merchant
        - status
        - tenant
      type: object
    external_card_id:
      description: The ID of the External Card associated with the operation
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    transfer_three_ds_id:
      description: >-
        Unique identifier of an External Card Transfer 3-D Secure Authorization
        - conditionally required according to your program's 3DS policy
      example: 40e2de9e-4375-4fa1-9393-92da972a9338
      format: uuid
      type: string
    transfer_originating_customer_id:
      description: >-
        For person-to-person PUSH transactions this is the customer_id of the
        sender who must have privileges to access funds in the originating
        account in order to send funds to the recipient cardholder
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    external_card_verification_details:
      properties:
        address_verification_result:
          description: |
            Address verification results

            Status | Description
            --- | ---
            VERIFIED | AVS verified
            NOT_VERIFIED | AVS not verified
            ADDRESS_MISMATCH | ZIP code match, address no match
            ZIP_MISMATCH | Address match, ZIP code no match
            ADDRESS_AND_ZIP_MISMATCH | Address and ZIP code no match
          enum:
            - ADDRESS_AND_ZIP_MISMATCH
            - ADDRESS_MISMATCH
            - NOT_VERIFIED
            - VERIFIED
            - ZIP_MISMATCH
          type: string
        cvv2_result:
          description: |
            Card Verification Value results

            Status | Description
            --- | ---
            VERIFIED | CVV and expiration date verified
            NOT_VERIFIED | CVV and expiration date not verified
            CVV_MISMATCH | Either CVV or expiration date does not match
            NOT_SUPPORTED | Issuer does not participate in CVV2 service
          enum:
            - CVV_MISMATCH
            - NOT_SUPPORTED
            - NOT_VERIFIED
            - VERIFIED
          type: string
        name_verification_result:
          description: >
            Issuer cardholder name verification result with Account Name Inquiry
            (ANI) service

            The result of verifying the cardholder name against the name on file
            at the issuing institution.

            If this fails, it means the issuing institution has a different
            person's name on file as the cardholder.


            Status | Description

            --- | ---

            VERIFIED | ANI Name verified

            NOT_VERIFIED | ANI Name not verified

            NOT_SUPPORTED | Issuer does not participate in ANI service

            NAME_MISMATCH | ANI Name does not match
          enum:
            - NAME_MISMATCH
            - NOT_SUPPORTED
            - NOT_VERIFIED
            - VERIFIED
          type: string
        pull_details:
          $ref: '#/components/schemas/pull_details'
        pull_enabled:
          description: Indicates if the card is able to perform PULL transfers.
          type: boolean
        push_details:
          $ref: '#/components/schemas/push_details'
        push_enabled:
          description: Indicates if the card is able to perform PUSH transfers.
          type: boolean
      type: object
    payment_account_reference:
      description: >-
        A unique identifier associated with a specific cardholder PAN and its
        affiliated tokens
      maxLength: 29
      minLength: 29
      type: string
    currency_code:
      description: ISO 4217  Alpha-3 currency code
      example: USD
      maxLength: 3
      minLength: 3
      type: string
    transfer_customer_id:
      description: The customer_id of the cardholder
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    merchant:
      description: >-
        Merchant descriptor information that will be shown on statement and
        transaction details. If not provided, FinTech information will be used.
      properties:
        address:
          $ref: '#/components/schemas/address'
        email:
          description: Merchant's email
          example: alice@example.com
          type: string
        name:
          description: Merchant's name
          type: string
        phone_number:
          description: >-
            Merchant's phone number with country code in E.164 format. Must have
            a valid country code. Area code and local phone number are not
            validated.
          example: '+14374570680'
          pattern: ^\+[1-9]\d{1,14}$
          type: string
      required:
        - address
        - name
      type: object
    pull_details:
      description: Additional PULL transfer details
      properties:
        country:
          $ref: '#/components/schemas/country_code'
        currency:
          $ref: '#/components/schemas/currency_code'
        network:
          description: Payment network
          type: string
        product_type:
          $ref: '#/components/schemas/external_card_product_type'
        regulated:
          description: Exemption status from debit card interchange fee standards
          type: boolean
      type: object
    push_details:
      description: Additional PUSH transfer details
      properties:
        country:
          $ref: '#/components/schemas/country_code'
        currency:
          $ref: '#/components/schemas/currency_code'
        funds_availability:
          $ref: '#/components/schemas/external_cards_funds_availability'
        network:
          description: Payment network
          type: string
        product_type:
          $ref: '#/components/schemas/external_card_product_type'
        regulated:
          description: Exemption status from debit card interchange fee standards
          type: boolean
      type: object
    address:
      properties:
        address_line_1:
          description: Street address line 1
          example: 100 Main St.
          maxLength: 100
          type: string
        address_line_2:
          description: Street address line 2
          example: Suite 99
          maxLength: 100
          type: string
        city:
          description: City
          example: New York
          type: string
        country_code:
          description: ISO-3166-1 Alpha-2 country code
          example: US
          pattern: ^[A-Z]{2}$
          type: string
        postal_code:
          description: Postal code
          example: '49633'
          type: string
        state:
          description: >
            State, region, province, or prefecture.

            This is the ISO-3166-2 subdivision code, excluding the country
            prefix.

            For example, TX for Texas USA or TAM for Tamaulipas Mexico.

            Its length varies by country, e.g. 2 characters for US, 3 for MX.
          example: NY
          type: string
      required:
        - address_line_1
        - city
        - country_code
        - postal_code
        - state
      type: object
    country_code:
      description: ISO-3166-1 Alpha-2 country code
      example: US
      maxLength: 2
      minLength: 2
      type: string
    external_card_product_type:
      description: Product type
      enum:
        - CREDIT
        - DEBIT
        - PREPAID
      type: string
    external_cards_funds_availability:
      description: |
        Estimated timeframe of funds availability

        Value | Description
        --- | ---
        NOW | Within 30 minutes
        NEXT | Within the next business day
        FEW | Within a few business days
      enum:
        - FEW
        - NEXT
        - NOW
      type: string
  parameters:
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````